;*****WINDOW MESSAGES***********************************************************
;-------------------------------------------------------------------------------
SIZE_WM:
 MOVZX EAX,DX                     ;EDX=lParam
 SHR EDX,16
 MOV [cxClient],EAX               ;LOWORD (lParam)
 MOV [cyClient],EDX               ;HIWORD (lParam)

 INVOKE DeleteDC,[hdcmem]         ;delete the old memory DC
 INVOKE GetDC,ESI                 ;get the screen DC,ESI=hwnd
 MOV EDI,EAX                      ;save the device context in EDI

 INVOKE CreateCompatibleDC,EAX    ;create a new memory DC
 MOV [hdcmem],EAX                 ;save the handle in hdcmem
 INVOKE CreateCompatibleBitmap,EDI,[cxClient],[cyClient] ; create a compatible bitmap
 PUSH EAX                         ;****push parameter for DeleteObject below

 INVOKE SelectObject,[hdcmem],EAX ;set the memory DC
 INVOKIT DeleteObject             ;****parameter pushed above,delete the old object
 INVOKE ReleaseDC,ESI,EDI         ;release the screen DC,ESI=hwnd,EDI=hdc
 INVOKE Rectangle,[hdcmem],EBP,EBP,[cxClient],[cyClient] ;clear the back buffer,EBP=0

 XOR EAX,EAX
 JMP MAINCBRET
;-------------------------------------------------------------------------------
DESTROY_WM:
 INVOKE DeleteDC,[hdcmem]
 INVOKE PostQuitMessage,EBP       ;EBP=0

 XOR EAX,EAX
 JMP MAINCBRET
;-------------------------------------------------------------------------------